Name:           perl-Mail-DMARC
Version:        1.20200214
Release: 2%{?dist}
Summary:        Perl implementation of DMARC
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-DMARC/
Source0:        http://www.cpan.org/modules/by-module/Mail/Mail-DMARC-%{version}.tar.gz
Patch2:         Mail-DMARC-1.20141206-dont_set_date_manually.patch
Patch3:         Mail-DMARC-1.20200214-handle_undef_domains.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(Carp)
BuildRequires:  perl(CGI)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DBD::SQLite) >= 1.31
BuildRequires:  perl(DBIx::Simple)
BuildRequires:  perl(Email::MIME)
BuildRequires:  perl(Email::MIME::Creator)
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(IO::Compress::Zip)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(IO::Uncompress::Unzip)
BuildRequires:  perl(JSON)
BuildRequires:  perl(Mail::DKIM)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Net::DNS::Resolver)
BuildRequires:  perl(Net::HTTP)
BuildRequires:  perl(Net::IDN::Encode)
BuildRequires:  perl(Net::IMAP::Simple)
BuildRequires:  perl(Net::IP)
BuildRequires:  perl(Net::Server)
BuildRequires:  perl(Net::SMTPS)
BuildRequires:  perl(parent)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Regexp::Common) >= 2013031301
BuildRequires:  perl(Socket)
BuildRequires:  perl(Socket6) >= 0.23
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::File::ShareDir)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(URI)
BuildRequires:  perl(XML::LibXML)
Requires:       perl(Carp)
Requires:       perl(CGI)
Requires:       perl(Config::Tiny)
Requires:       perl(CPAN)
Requires:       perl(Data::Dumper)
Requires:       perl(DBD::SQLite) >= 1.31
Requires:       perl(DBIx::Simple)
Requires:       perl(Email::MIME)
Requires:       perl(Email::MIME::Creator)
Requires:       perl(Email::Simple)
Requires:       perl(Encode)
Requires:       perl(File::ShareDir)
Requires:       perl(Getopt::Long)
Requires:       perl(HTTP::Tiny)
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(IO::Compress::Zip)
Requires:       perl(IO::Uncompress::Gunzip)
Requires:       perl(IO::Uncompress::Unzip)
Requires:       perl(IO::File)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(JSON)
Requires:       perl(Net::DNS::Resolver)
Requires:       perl(Net::HTTP)
Requires:       perl(Net::IMAP::Simple)
Requires:       perl(Net::IDN::Encode)
Requires:       perl(Net::IP)
Requires:       perl(Net::SMTPS)
Requires:       perl(Net::SSLeay) 
Requires:       perl(parent)
Requires:       perl(Pod::Usage)
Requires:       perl(Regexp::Common) >= 2013031301
Requires:       perl(Socket)
Requires:       perl(Socket6) >= 0.23
Requires:	perl(Sys::Hostname)
Requires:       perl(Sys::Syslog)
Requires:       perl(URI)
Requires:       perl(XML::LibXML)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a suite of tools for implementing DMARC. It adheres very
tightly to the 2013 DMARC draft, intending to implement every MUST and
every SHOULD.

%prep
%setup -q -n Mail-DMARC-%{version}
%patch2 -p1
%patch3 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}/
%{__mkdir_p} $RPM_BUILD_ROOT/%{perl_vendorlib}/auto/share/dist/Mail-DMARC
cp share/mail-dmarc.ini $RPM_BUILD_ROOT/%{_sysconfdir}/
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
# fails in mock
#sed -i t/04.PurePerl.t   -e '/test_fetch_dmarc_record();/d' -e '/test_discover_policy();/d'
rm t/04.PurePerl.t t/06.Result.t t/09.HTTP.t t/11.Report.Store.t  t/22.Report.Send.SMTP.t
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes.md DEVELOP.md example FAQ.md LICENSE README.md share TODO.md
%config(noreplace) %{_sysconfdir}/mail-dmarc.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/dmarc_*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Tue Apr 19 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.20200214-2.sme
- upate to 1.20200214 [SME: 10103]
- remove tests that are failing inside mock

* Sat May 20 2017 Daniel Berteaud <daniel@firewall-services.com> 1.20141206-2
- Handle undef domains (like bounces) [SME: 10318]

* Thu May 5 2016 Daniel Berteaud <daniel@firewall-services.com> 1.20141206-1
- First build using cpanspec
- Patch to support building with older Module::Build
- Patch to support older Email::MIME (before it merged Email::MIME::Creator)
- Patch to let Email::MIME::Creator set the Date automatically as the manual date
  doesn't work with some locales (at least fr)

